Draft: Rettangolo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rectangle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Polygon.svg Polygon Previous:
Next: Text Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Rettangolo

Posizione nel menu
Draft → Rettangolo
Ambiente
Draft, Architettura
Avvio veloce
R E
Introdotto nella versione
-
Vedere anche
Cubo


Descrizione

Crea un rettangolo dalla selezione di due punti opposti, sulla diagonale. Il rettangolo assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi e modificabili tramite la stessa o nella scheda Vista combinata → Proprietà → Vista. È possibile aggiungere opzionalmente uno smusso di 45 gradi o un raccordo circolare a ogni angolo del rettangolo, e si può dividere il rettangolo in una serie di righe e/o colonne di uguale dimensione.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Draft Rectangle example.jpg

Draft Rectangle example.jpg

Utilizzo

  1. Premere il pulsante Draft Rectangle.png Rettangolo, o premere i tasti R e E
  2. Selezionare un primo punto nella vista 3D per stabilire il primo vertice,, oppure digitare le sue coordinate
  3. Selezionare il punto opposto nella vista 3D, oppure digitare le sue coordinate . Il rettangolo è anche una faccia, nonostante appaia come reticolo.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Opzioni

  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto sul corrispondente asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire il numero, quindi premere INVIO per ogni componente X, Y e Z. È bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento Rettangolo si riavvia automaticamente e permette di disegnare un nuovo rettangolo senza dover ripetere il comando.
  • Premere CTRL mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere I o il pulsante Pieno per far apparire il rettangolo come una faccia dopo che è stato chiuso.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando attivo.
  • Quando il rettangolo è visualizzato in "Flat Lines" può essere riempito con una trama impostando le sue proprietà "Pattern".

Proprietà

  • DATALength: Specifica la lunghezza del rettangolo
  • DATAWidth: Specifica la larghezza del rettangolo
  • DATAChamfer Size: Specifica la dimensione della diagonale dello smusso di 45 gradi su ciascun angolo del rettangolo
  • DATAFillet Radius: Specifica il raggio del raccordo a 90 gradi in ciascun angolo del rettangolo
  • DATARows: Divide il rettangolo (orizzontalmente) in righe di uguale dimensione. L'intero rettangolo è 1 riga, per impostazione predefinita
  • DATAColumns: Divide il rettangolo (verticalmente) in colonne di dimensioni uguali. L'intero rettangolo è 1 colonna, per impostazione predefinita
  • DATAMake Face: Riempie il rettangolo con una faccia
  • VIEWTexture Image: Permette di indicare il percorso ad un file immagine da mappare sul rettangolo. Per evitare distorsioni bisogna dare al rettangolo la stessa proporzione dell'immagine. Cancellando questa proprietà si rimuove l'immagine.
  • VIEWPattern: Specifica un modello di tratteggio con cui riempire il contorno.
  • VIEWPattern Size: Specifica la dimensione del modello di tratteggio

Data

  • DATALength: specifies the length of the shape in the X axis direction.
  • DATAHeight: specifies the height of the shape in the Y axis direction.
  • DATAChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DATAFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DATARows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DATAColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.
  • VIEWTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Script

Lo strumento Rettangolo può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • La funzione crea un oggetto Rettangolo con la lunghezza in direzione X e la larghezza in direzione Y.
  • Se si indica una posizione, essa viene utilizzata.
  • Se face è None, il rettangolo viene visualizzato come reticolo, altrimenti come una faccia.
  • Sono utilizzati il tipo di linea e il colore attivi di Draft.

Esempio:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Draft Polygon.svg Polygon Previous:
Next: Text Draft Text.svg Arrow-right.svg